require "mkmf"

SYSTEM_LIBRARIES = [
  "dxguid",
  "d3d9",
  "d3dx9",
  "dinput8",
  "dsound",
  "gdi32",
  "ole32",
  "user32",
  "kernel32",
  "comdlg32",
  "winmm"
]

SYSTEM_LIBRARIES.each do |lib|
  have_library(lib)
end

#ヘッダファイル足りてませんが調べるの面倒で(^-^;

have_header("d3dx9.h")
have_header("dinput.h")

create_makefile("dxruby")
